Index: trunk/src/util/resource_manager.cc
===================================================================
--- trunk/src/util/resource_manager.cc	(revision 5120)
+++ trunk/src/util/resource_manager.cc	(revision 5121)
@@ -319,24 +319,8 @@
             else
               tmpResource->ttfSize = FONT_DEFAULT_SIZE;
-            if (param2)
-              {
-                Vector* tmpVec = (Vector*)param2;
-                tmpResource->ttfColorR = (int)tmpVec->x;
-                tmpResource->ttfColorG = (int)tmpVec->y;
-                tmpResource->ttfColorB = (int)tmpVec->z;
-              }
-            else
-              {
-                tmpResource->ttfColorR = FONT_DEFAULT_COLOR_R;
-                tmpResource->ttfColorG = FONT_DEFAULT_COLOR_G;
-                tmpResource->ttfColorB = FONT_DEFAULT_COLOR_B;
-              }
 
           if(isFile(fullName))
             tmpResource->pointer = new Font(fullName,
-                                            tmpResource->ttfSize,
-                                            tmpResource->ttfColorR,
-                                            tmpResource->ttfColorG,
-                                            tmpResource->ttfColorB);
+                                            tmpResource->ttfSize);
           else
             PRINTF(2)("Sorry, %s does not exist. Not loading Font\n", fullName);
@@ -560,19 +544,4 @@
               else if (enumRes->ttfSize == *(int*)param1)
                 subMatch = true;
-              if(subMatch)
-                {
-                  Vector* tmpVec = (Vector*)param2;
-                  if (!param2)
-                    {
-                      if(enumRes->ttfColorR == FONT_DEFAULT_COLOR_R &&
-                         enumRes->ttfColorG == FONT_DEFAULT_COLOR_G &&
-                         enumRes->ttfColorB == FONT_DEFAULT_COLOR_B )
-                        match = true;
-                    }
-                  else if (enumRes->ttfColorR == (int)tmpVec->x &&
-                           enumRes->ttfColorG == (int)tmpVec->y &&
-                           enumRes->ttfColorB == (int)tmpVec->z )
-                    match = true;
-                }
               break;
 #endif /* NO_TEXT */
Index: trunk/src/util/resource_manager.h
===================================================================
--- trunk/src/util/resource_manager.h	(revision 5120)
+++ trunk/src/util/resource_manager.h	(revision 5121)
@@ -79,7 +79,4 @@
 #ifndef NO_TEXT
   unsigned int      ttfSize;           //!< the size of the ttf-font (TTF)
-  unsigned char     ttfColorR;         //!< red Color (TTF)
-  unsigned char     ttfColorG;         //!< green Color (TTF)
-  unsigned char     ttfColorB;         //!< blue Color (TTF)
 #endif /* NO_TEXT */
 };
Index: trunk/src/util/shell.cc
===================================================================
--- trunk/src/util/shell.cc	(revision 5120)
+++ trunk/src/util/shell.cc	(revision 5121)
@@ -158,5 +158,6 @@
   if (this->inputLineText == NULL)
     delete this->inputLineText;
-  this->inputLineText = TextEngine::getInstance()->createText("fonts/Aniron_Bold.ttf", this->textSize, TEXT_DYNAMIC, 255, 0, 0);
+  this->inputLineText = TextEngine::getInstance()->createText("fonts/Aniron_Bold.ttf", this->textSize, TEXT_DYNAMIC);
+  this->inputLineText->setColor(1, 0, 0);
   this->inputLineText->setAlignment(TEXT_ALIGN_LEFT);
   this->inputLineText->setText(NULL);
@@ -183,5 +184,6 @@
   for (unsigned int i = 0; i < bufferDisplaySize; i++)
   {
-    this->bufferText[i] = TextEngine::getInstance()->createText("fonts/Aniron_Bold.ttf", this->textSize, TEXT_DYNAMIC, 255, 0, 0);
+    this->bufferText[i] = TextEngine::getInstance()->createText("fonts/Aniron_Bold.ttf", this->textSize, TEXT_DYNAMIC);
+    this->bufferText[i]->setColor(1, 0, 0);
     this->bufferText[i]->setAlignment(TEXT_ALIGN_LEFT);
     this->bufferText[i]->setRelCoor2D(calculateLinePosition(i));
Index: trunk/src/util/track/track_manager.cc
===================================================================
--- trunk/src/util/track/track_manager.cc	(revision 5120)
+++ trunk/src/util/track/track_manager.cc	(revision 5121)
@@ -380,5 +380,5 @@
   this->setBindSlave(this->trackNode);
   // initializing the Text
-  this->trackText = TextEngine::getInstance()->createText("fonts/earth.ttf", 30, TEXT_DYNAMIC, 0, 255, 0);
+  this->trackText = TextEngine::getInstance()->createText("fonts/earth.ttf", 30, TEXT_DYNAMIC);
   this->trackText->setAlignment(E2D_ALIGN_SCREEN_CENTER);
   // initializing the Animation for the Text.
